﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace LegoBrickList
{
    /// <summary>
    /// The Lego part class.
    /// </summary>
    public class LegoPart
    {
        /// <summary>
        /// Gets or sets the part number.
        /// </summary>
        public string Number { get; set; }
        /// <summary>
        /// Gets or sets the amount of the part in the parts list.
        /// </summary>
        public int Count { get; set; }
        /// <summary>
        /// Gets or sets the description of the part.
        /// </summary>
        public string Description { get; set; }
        /// <summary>
        /// Gets or sets the color of the lego part.
        /// </summary>
        public string Color { get; set; }

        /// <summary>
        /// Initializes the Lego part class.
        /// </summary>
        public LegoPart()
        {
        }
    }
}
